Generate unsigned psbt
post
Generates an unsigned PSBT (Partially Signed Bitcoin Transaction) hex string.
Authorizations
AuthorizationstringRequired
Path parameters
accountNamestringRequired
- The name of the account for which to generate the PSBT.
Header parameters
AuthorizationstringRequired
- The authorization token for the request.
Body
- The input data required to generate the unsigned PSBT.
networkstringRequired
The network for the transaction, either 'mainnet' or 'testnet'.
inputsstringRequired
The inputs for the transaction as a JSON string of an array of TxInput objects.
outputsstringRequired
The outputs for the transaction as a JSON string of an array of TxOutput objects.
Responses
200
A promise that resolves to a BitcoinCashAPIResponse containing the PSBT hex string.
application/json
successbooleanRequired
messagestringRequired
post/bitcoincash/accounts/{accountName}/generate-unsigned-psbt
POST /bitcoincash/accounts/{accountName}/generate-unsigned-psbt HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 51
{
"network": "text",
"inputs": "text",
"outputs": "text"
}200
A promise that resolves to a BitcoinCashAPIResponse containing the PSBT hex string.
{
"success": true,
"message": "text",
"data": {
"psbt_hex": "text"
}
}